Paren {base} | R Documentation

## Parentheses and Braces

### Description

Open parenthesis, `(`, and open brace, `{`, are `.Primitive` functions in R.

Effectively, `(` is semantically equivalent to the identity `function(x) x`, whereas `{` is slightly more interesting, see examples.

### Usage

    ( \dots )

    { \dots }

### Value

For `(`, the result of evaluating the argument. This has visibility set, so will auto-print if used at top-level.

For `{`, the result of the last expression evaluated. This has the visibility of the last evaluation.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`if`, `return`, etc for other objects used in the R language itself.

`Syntax` for operator precedence.

### Examples

    f <- get("(")
    e <- expression(3 + 2 * 4)
    identical(f(e), e)

    do <- get("{")
    do(x <- 3, y <- 2*x-3, 6-x-y); x; y

    ## note the differences
    (2+3)
    {2+3; 4+5}
    (invisible(2+3))
    {invisible(2+3)}

[Package base version 2.15.1 Index]